package org.ts.ddcs.dict;

public enum SzyRunSettingFlag {
    RAIN_IT("szy_intervalTime_setting_0","雨量"),
    WATER_HIGH_IT("szy_intervalTime_setting_1","水位"),
    FLOW_RATE_IT("szy_intervalTime_setting_2","流量"),
    FLOW_SPEED_IT("szy_intervalTime_setting_3","流速"),
    WATER_GATE_IT("szy_intervalTime_setting_4","水闸"),
    POWER_IT("szy_intervalTime_setting_5","功率"),
    PRESSURE_IT("szy_intervalTime_setting_6","气压"),
    WIN_SPEED_IT("szy_intervalTime_setting_7","风速"),
    WATER_TEMPERATURE("szy_intervalTime_setting_8","水温"),
    WATER_QUALITY("szy_intervalTime_setting_9","水质"),
    SOIL_WATER_CONTENT("szy_intervalTime_setting_10","土壤含水率"),
    EVAPORATION("szy_intervalTime_setting_11","蒸发量"),
    WARNING("szy_intervalTime_setting_12","报警"),
    WATER_PRESSURE("szy_intervalTime_setting_13","水压");


    private final String id;
    private final String name;

    SzyRunSettingFlag(String id, String name) {
        this.id = id;
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public String getName() {
        return name;
    }
}
